﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<%@ Implements Interface="System.Web.UI.ICallbackEventHandler" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>

    <script type="text/javascript">
        var clientMap;

        function OnMapCreated(map) {
            clientMap = map;
        }

        function GetBoundingBox() {
            var textBox = document.getElementById("txtCountryName");
            var resultTextBox = document.getElementById("txtBoundingBox");
            var countryName = textBox.value;
            RaiseCallbackEvent(countryName, resultTextBox);
        }

        function RaiseCallbackEvent(args, context) {
            <%=ClientScript.GetCallbackEventReference(this, "args", "ProcessCallbackComplete", "context", "ProcessCallbackFailed", true)%>;
        }
        
        function ProcessCallbackComplete(result, context){
            context.value = result;
        }
        
        function ProcessCallbackFailed(result, context){
            alert("failed!");
        }
        
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <cc1:Map ID="Map1" runat="server" Height="480px" Width="640px">
        </cc1:Map>
    </div>
    <p>
        <asp:Label ID="Label1" runat="server" Text="Country Name:"></asp:Label>
        <asp:TextBox ID="txtCountryName" runat="server"></asp:TextBox>
    </p>
    <p>
        <input id="Button1" type="button" value="GetBoundingBox" onclick="GetBoundingBox()" />
    </p>
    <p>
        <asp:Label ID="Label2" runat="server" Text="BoundingBox:"></asp:Label>
        <asp:TextBox ID="txtBoundingBox" runat="server" ReadOnly="True"></asp:TextBox>
    </p>
    </form>
</body>
</html>
